#ifndef DIALOG_ADD_USER_H
#define DIALOG_ADD_USER_H

#include <gtkmm/window.h>
#include <gtkmm/dialog.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>
#include <gtkmm/checkbutton.h>

#include "session_manager.h"

class dialog_add_user : public Gtk::Dialog
{
public:
  dialog_add_user(Gtk::Window *win, session_manager *sesion);
private:
  session_manager *sesion;

  Gtk::Box box_user;
  Gtk::Label user;
  Gtk::Entry entry_user;

  Gtk::Box box_pass;
  Gtk::Label pass;
  Gtk::Entry entry_pass;

  Gtk::Box box_admin;
  Gtk::Label l_admin;
  Gtk::CheckButton c_admin;

  Gtk::Button b_add;

  void on_button_clicked();
  void add_elements();
};

#endif // DIALOG_ADD_USER_H
